import os

def reset_coin_files(start_directory):
    for dirpath, dirnames, filenames in os.walk(start_directory):
        for filename in filenames:
            if filename == "coin.txt":
                file_path = os.path.join(dirpath, filename)
                with open(file_path, 'w') as file:
                    file.write('0')  # نوشتن مقدار صفر در فایل
                print(f"Reset coin.txt at: {file_path}")

# مسیر پوشه‌ای که می‌خواهید جستجو کنید را مشخص کنید
start_directory = '/home/mihanbaz/public_html/bots/data'  # این مسیر را تغییر دهید
reset_coin_files(start_directory)
